org.jgroups.util

## Class Triple<V1,V2,V3>

- java.lang.Object
- - org.jgroups.util.Triple<V1,V2,V3>

    public class Triple<V1,V2,V3>
    extends java.lang.Object

Holds 3 values, useful when we have a map with a key, but more than 1 value and we don't want to create a separate holder object for the values, and don't want to pass the values as a list or array.

Author:
  Bela Ban

### Constructor Summary

Constructors
Constructor and Description
`Triple(V1 val1, V2 val2, V3 val3)`

### Method Summary

Methods
`V1` `getVal1()`
`V2` `getVal2()`
`V3` `getVal3()`
`void` `setVal1(V1 val1)`
`void` `setVal2(V2 val2)`
`void` `setVal3(V3 val3)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Triple

    public Triple(V1 val1,
          V2 val2,
          V3 val3)

### Method Detail

#### getVal1

    public V1 getVal1()

#### setVal1

    public void setVal1(V1 val1)

#### getVal2

    public V2 getVal2()

#### setVal2

    public void setVal2(V2 val2)

#### getVal3

    public V3 getVal3()

#### setVal3

    public void setVal3(V3 val3)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`